org.w3c.dom

## Interface DOMImplementationList

-     public interface DOMImplementationList

  The `DOMImplementationList` interface provides the abstraction of an ordered collection of DOM implementations, without defining or constraining how this collection is implemented. The items in the `DOMImplementationList` are accessible via an integral index, starting from 0.

  See also the Document Object Model (DOM) Level 3 Core Specification.

  Since:
    DOM Level 3

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLength()` The number of `DOMImplementation`s in the list.
    `DOMImplementation` | `item(int index)` Returns the `index`th item in the collection.

- - ### Method Detail

    - #### item

          DOMImplementation item(int index)

      Returns the `index`th item in the collection. If `index` is greater than or equal to the number of `DOMImplementation`s in the list, this returns `null`.
      Parameters:
        `index` - Index into the collection.
      Returns:
        The `DOMImplementation` at the `index` th position in the `DOMImplementationList`, or `null` if that is not a valid index.

    - #### getLength

          int getLength()

      The number of `DOMImplementation`s in the list. The range of valid child node indices is 0 to `length-1` inclusive.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.